%set_autoconf_version 2.13
%set_automake_version 1.4

Summary: SASL2 is the Simple Authentication and Security Layer
Name: cyrus-sasl2
Version: 2.1.10
%define srcname cyrus-sasl
Release: alt1.5
Source0: %srcname-%version.tar.gz
Source1: sasldb2
Source2: saslpasswd.conf
Source3: saslauthd.conf
Source4: saslauthd.init
Source5: saslauthd.sysconfig

# It's a converted server-plugin-flow.fig to JPEG
Source7: %name-%version-alt-server-plugin-flow.jpg


#Patch0: %srcname-2.1.9-alt-gssapi-aclocal.patch
#Patch1:	%srcname-2.1.9-alt-aclocal-krb5.patch
# This problem is fix in CVS and when release 2.1.11 please remove
Patch2: %srcname-2.1.10-AUXPASS.patch
Patch3: %srcname-2.1.10-ldap_auxprop.patch



License: BSD
Group: System/Libraries

Prefix: %prefix
Requires: libsasl2 = %version-%release 

# Automatically added by buildreq on Thu Jan 09 2003
BuildRequires: glibc-devel-static libMySQL-devel libdb4-devel libkrb5-devel libldap-devel 
BuildRequires: libpam-devel libssl-devel zlib-devel
BuildRequires: autoconf_2.13 automake_1.4

#BuildRequires: glibc-devel-static libMySQL-devel libdb4-devel libldap-devel libpam-devel libssl-devel 
#BuildRequires: zlib-devel



%description
SASL is the Simple Authentication and Security Layer,
a method for adding authentication support to connection-based protocols.
To use SASL, a protocol includes a command for identifying and authenticating
a user to a server and for optionally negotiating protection of subsequent
protocol interactions. If its use is negotiated, a security layer is inserted
between the protocol and the connection.

%package -n libsasl2
Summary: Librairies for SASL a the Simple Authentication and Security Layer
Group: System/Libraries
Requires: libpam libssl zlib libdb4

%description -n libsasl2
SASL is the Simple Authentication and Security Layer,
a method for adding authentication support to connection-based protocols.
To use SASL, a protocol includes a command for identifying and authenticating
a user to a server and for optionally negotiating protection of subsequent
protocol interactions. If its use is negotiated, a security layer is inserted
between the protocol and the connection.

%package -n libsasl2-devel
Summary: Librairies for SASL a the Simple Authentication and Security Layer
Group: Development/C
Requires: libsasl2 = %version-%release
Conflicts: libsasl-devel

%description -n libsasl2-devel
SASL is the Simple Authentication and Security Layer,
a method for adding authentication support to connection-based protocols.
To use SASL, a protocol includes a command for identifying and authenticating
a user to a server and for optionally negotiating protection of subsequent
protocol interactions. If its use is negotiated, a security layer is inserted
between the protocol and the connection.

%package -n libsasl2-devel-static
Summary: Static librairies for SASL a the Simple Authentication and Security Layer
Group: Development/C
Requires: libsasl2-devel = %version-%release

%description -n libsasl2-devel-static
SASL is the Simple Authentication and Security Layer,
a method for adding authentication support to connection-based protocols.
To use SASL, a protocol includes a command for identifying and authenticating
a user to a server and for optionally negotiating protection of subsequent
protocol interactions. If its use is negotiated, a security layer is inserted
between the protocol and the connection.


%package -n libsasl2-plugin-gssapi
Summary: SASL2 KERBEROS_V5 mechanism plugin
Group: System/Libraries
Requires: libsasl2 = %version-%release
Requires: libkrb5

%description -n libsasl2-plugin-gssapi
This plugin implements the SASL2 KERBEROS_V5 mechanism, allowing
authentication via kerberos version four.
This OPTIONS is EXPERIMENTAL!


%package -n libsasl2-plugin-mysql
Summary: SASL2 MySQL mechanism plugin
Group: System/Libraries
Requires: libsasl2 = %version-%release
Requires: libMySQL

%description -n libsasl2-plugin-mysql
This plugin implements the SASL2 MySQL mechanism.


%package -n libsasl2-plugin-ldap
Summary: SASL2 LDAPAUXPROP mechanism plugin
Group: System/Libraries
Requires: libsasl2 = %version-%release
Requires: libldap

%description -n libsasl2-plugin-ldap
This plugin implements the SASL2 LDAPAUXPROP mechanism.



%package  docs
Summary: SASL2 docs
Group: System/Libraries
Requires: libsasl2 = %version-%release

%description  docs
This package contains documentations for SASL2


%prep
%setup -q -n %srcname-%version
#%patch0 -p0 -b .gssapi-aclocal
#%patch1 -p0 -b .aclocal-krb5
%patch2 -p0 -b .auxpass
%patch3 -p0 -b .ldap_auxprop

%build
export CPPFLAGS="-I/usr/include/krb5 $CPPFLAGS"
export LDFLAGS="-L/usr/lib/krb5 $LDFLAGS"
#autoconf_2.13
autoconf
%configure 	--enable-static --enable-shared \
		--sysconfdir=%_sysconfdir/sasl2 \
		--with-plugindir=%_libdir/sasl2 \
		--with-dbpath=%_sysconfdir/sasl2/sasldb2 \
		--with-dblib=berkeley \
		--with-openssl \
		--with-des \
		--with-ldapauxprop=/usr \
		--disable-krb4 \
		--with-rc4 \
		--enable-anon \
		--enable-cram \
		--enable-plain \
		--enable-login \
		--enable-gssapi \
		--enable-ntlm \
		--enable-digest \
		--with-pam \
		--with-saslauthd=/var/run/saslauthd \
		--enable-srp \
		--enable-otp \
		--with-mysql=/usr \
		--with-ldap=/usr

%make_build 
#AUTOCONF=autoconf_2.13 AUTOHEADER=autoheader_2.13 

%install
%makeinstall 
#AUTOCONF=autoconf_2.13 AUTOHEADER=autoheader_2.13
#mkdir -p $RPM_BUILD_ROOT%_includedir/sasl2
#mv -f $RPM_BUILD_ROOT%_includedir/sasl/*.h $RPM_BUILD_ROOT%_includedir/sasl2/
mkdir -p $RPM_BUILD_ROOT%_sysconfdir
mkdir -p $RPM_BUILD_ROOT%_mandir/man8

# some files are currently not installed by the Makefile
cp utils/sasldblistusers2.8 $RPM_BUILD_ROOT%_mandir/man8/
cp utils/saslpasswd2.8 $RPM_BUILD_ROOT%_mandir/man8/
cp saslauthd/saslauthd.8 $RPM_BUILD_ROOT%_mandir/man8/
mv %{buildroot}%{_mandir}/cat8/saslauthd.8 $RPM_BUILD_ROOT%_mandir/man8
cp utils/.libs/dbconverter-2 $RPM_BUILD_ROOT%_sbindir
#rm -f doc/Makefile*
rm -fr $RPM_BUILD_ROOT/usr/share/man/cat8

#  to prevent the conflict between libsasl-devel-1.X and libsasl2-devel
#cd $RPM_BUILD_ROOT%_mandir/man3
#for n in *.3; do
#	mv $n `echo $n | sed -e "s,^sasl,sasl2,"`
#done
#cd -

mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%name-%version
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%name-%version/HTML
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%name-%version/RFC
install -p -m 0644 doc/*.html* $RPM_BUILD_ROOT/usr/share/doc/%name-%version/HTML
install -p -m 0644 doc/rfc*.txt $RPM_BUILD_ROOT/usr/share/doc/%name-%version/RFC
install -p -m 0644 doc/draft*.txt $RPM_BUILD_ROOT/usr/share/doc/%name-%version/RFC
install -p -m 0644 %SOURCE7 $RPM_BUILD_ROOT/usr/share/doc/%name-%version/HTML/server-plugin-flow.jpg
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%name-%version/saslauthd
install -p -m 0644 saslauthd/{README,INSTALL,LDAP_SASLAUTHD,NEWS,COPYING,ChangeLog,AUTHORS} $RPM_BUILD_ROOT/usr/share/doc/%name-%version/saslauthd

install -p -m 0644 {COPYING,AUTHORS,INSTALL,NEWS,README,ChangeLog,doc/TODO} $RPM_BUILD_ROOT/usr/share/doc/%name-%version

#cd doc
#cp * $RPM_BUILD_ROOT/usr/share/doc/%name-%version
#cd -
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/sysconfig
mkdir -p $RPM_BUILD_ROOT/var/run/saslauthd
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/sasl2

install -m0600 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/sasl2
install -m0600 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/sasl2
install -m0600 %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/sasl2

install -m0755 %SOURCE4 $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d/saslauthd
install -m0600 %SOURCE5 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/saslauthd

%post -n libsasl2 -p %post_ldconfig

%postun -n libsasl2 -p %postun_ldconfig

%post -n libsasl2-devel-static -p %postun_ldconfig

%postun -n libsasl2-devel-static -p %postun_ldconfig

%post_service saslauthd
%preun_service saslauthd

%files
%config(noreplace) %attr(0640,root,root) %_sysconfdir/sasl2/saslpasswd.conf
%config(noreplace) %attr(0640,root,root) %_sysconfdir/sasl2/saslauthd.conf
%config(noreplace) %attr(0600,root,root) %_sysconfdir/sysconfig/saslauthd
%attr(0755,root,root) %_sysconfdir/rc.d/init.d/saslauthd
%_sbindir/*
%_mandir/man8/*
#%_libdir/sasl2/*.conf
%attr(0750,root,root) %dir /var/run/saslauthd

%files -n libsasl2
%config(noreplace) %attr(0640,root,root) %_sysconfdir/sasl2/sasldb2
%dir %_sysconfdir/sasl2
%dir %_libdir/sasl2
%_libdir/*.so.*
#%_libdir/*/*.so.*
#%_libdir/*/*.so
%_libdir/sasl2/libanonymous.so*
%_libdir/sasl2/libcrammd5.so*
%_libdir/sasl2/libdigestmd5.so*
%_libdir/sasl2/liblogin.so*
%_libdir/sasl2/libntlm.so*
%_libdir/sasl2/libotp.so*
%_libdir/sasl2/libplain.so*
%_libdir/sasl2/libsasldb.so*
%_libdir/sasl2/libsrp.so*

%doc COPYING AUTHORS INSTALL NEWS README ChangeLog doc/TODO

%files -n libsasl2-devel
%dir %_includedir/sasl
%dir %_libdir/sasl2
%_includedir/sasl/*
%_libdir/*.la
%_libdir/*/*.la
%_mandir/man3/*
%_libdir/*.so

%files -n libsasl2-devel-static
%dir %_libdir/sasl2
%_libdir/*.a
%_libdir/*/*.a

%files  docs
%dir %_docdir/%name-%version/HTML
%dir %_docdir/%name-%version/RFC
%doc %_docdir/%name-%version/HTML/*.html*
%doc %_docdir/%name-%version/RFC/draft*
%doc %_docdir/%name-%version/RFC/rfc*
%doc %_docdir/%name-%version/saslauthd/*


%files -n libsasl2-plugin-gssapi
%_libdir/sasl2/libgssapiv2.so*

%files -n libsasl2-plugin-mysql
%_libdir/sasl2/libmysql.so*

%files -n libsasl2-plugin-ldap
%_libdir/sasl2/libldapauxprop.so*



%changelog
* Tue Jan 20 2003 Victor V Ismakaev <ivv@altlinux.ru> 2.1.10-alt1.5
- sasldb2 moved to libsasl.

* Fri Jan 10 2003 Victor V Ismakaev <ivv@altlinux.ru> 2.1.10-alt1.4
- added buildreq autoconf_2.13 automake_1.4

* Thu Jan 09 2003 Victor V Ismakaev <ivv@altlinux.ru> 2.1.10-alt1.3
- remove option --disable-java from configure

* Thu Jan 09 2003 Victor V Ismakaev <ivv@altlinux.ru> 2.1.10-alt1.2
- docs moved to cyrus-sasl2-docs package (by Sergey Volkov vserge@altlinux.ru)
- added ldap_auxprop.patch and AUXPASS.patch and built with ldapauxprop-plugin (by Sergey Volkov vserge@altlinux.ru)
- libsasl2 splitted on several packages: libsasl2 with core plugins and 
    plugin-gssapi,plugin-mysql,plugin-ldap.
- config files moved to /etc/sasl2 
- added Conflicts with libsasl-devel

* Thu Dec 26 2002 Victor V Ismakaev <ivv@altlinux.ru> 2.1.10-alt1.1
- Fixed depencies
- link libsasl2.so moved to libsasl2-devel

* Mon Dec 16 2002 Victor V Ismakaev <ivv@altlinux.ru> 2.1.10-alt1
- New release - Cyrus-SASL 2.1.10 - first release SASL2 for ALTLinux

* Mon Dec 16 2002 Victor V Ismakaev <ivv@altlinux.ru> 1.5.24-alt5.1
- fixed %BuildRequires

* Thu Sep 05 2002 Victor V Ismakaev <ivv@altlinux.ru> 1.5.24-alt5
- added an /etc/sasldb file
- added an /usr/lib/sasl/saslpasswd.conf file
- lib*.so links moved to libsasl package
- lib*.la files moved to libsasl-devel package
- Summary: partialy fixed bug http://bugs.altlinux.ru/view_bug_page.php?f_id=0000415

* Fri Jun 14 2002 Victor V Ismakaev <ivv@altlinux.ru> 1.5.24-alt4
- some fixes in spec-file

* Thu Jun 13 2002 Victor V Ismakaev <ivv@altlinux.ru> 1.5.24-alt3
- added a patch for LDAP and MySQL autenticatication

* Fri May 04 2001 Rider <rider@altlinux.ru> 1.5.24-alt2
- move headers to include/sasl

* Fri May 04 2001 Rider <rider@altlinux.ru> 1.5.24-alt1
- first build for ALT Linux

* Fri Mar  9 2001 Vincent Saugey <vince@mandrakesoft.com> 1.5.24-2mdk
- Adding include file in devel package

* Mon Nov 27 2000 Vincent Saugey <vince@mandrakesoft.com> 1.5.24-1mdk
- First mdk release
